Debian Bug report logs - #513506
dhcp3-server: Mention new failover peer naming rules in NEWS.Debian / Crash if config doesn't abide to them

Package: release-notes; Maintainer for release-notes is Debian Documentation Team <debian-doc@lists.debian.org>;

Reported by: Axel Beckert <beckert@phys.ethz.ch>

Date: Thu, 29 Jan 2009 18:03:01 UTC

Severity: minor

Tags: help, moreinfo

Done: Simon Paillard <simon.paillard@resel.enst-bretagne.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <beckert@phys.ethz.ch>, Andrew Pollock <apollock@debian.org>:
Bug#513506; Package dhcp3-server. (Thu, 29 Jan 2009 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <beckert@phys.ethz.ch>:
New Bug report received and forwarded. Copy sent to Axel Beckert <beckert@phys.ethz.ch>, Andrew Pollock <apollock@debian.org>. (Thu, 29 Jan 2009 18:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <beckert@phys.ethz.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dhcp3-server: failover peering fails, crashes with SIGABRT afterwards
Date: Thu, 29 Jan 2009 19:01:50 +0100 (CET)
Package: dhcp3-server
Version: 3.1.1-5
Severity: important

I have a pair of DHCP servers (both i386 architecture) running fine
with failover peering since 2004. They started as Woody or Sarge.

Yesterday I dist-upgraded the master server from Etch to Lenny which
worked fine. Peering still worked between 3.0.4 (slave, Etch) and 3.1.1
(master, Lenny) although there's no warranty for that by upstream.

So today I dist-upgraded the slave server (called ruchen). That worked
fine, too -- until the first restart of the DHCPd on the master server
(called stock). Since then the DHCPd on the master server always stops
working with the following error message:

failover peer ruchen: I move from normal to startup
Failover CONNECT from stock: unknown failover relationship name

Only the slave server currently provides DHCP in our network. Modifying
the states in the lease file (as suggested somewhere on the mailing
list) didn't work, neither did starting with an empty lease file.

The I ran the DHCPd in debug mode from the command line and it seems to
have crashed:

root@stock:/var/lib/dhcp3 # dhcpd3 -d 
Internet Systems Consortium DHCP Server V3.1.1
Copyright 2004-2008 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/sw/dhcp/
Wrote 0 deleted host decls to leases file.
Wrote 0 new dynamic host decls to leases file.
Wrote 0 leases to leases file.
Listening on LPF/eth2/00:0a:5e:54:6b:f8/VLAN136
Sending on   LPF/eth2/00:0a:5e:54:6b:f8/VLAN136
Listening on LPF/eth1/00:0a:5e:54:ce:c2/VLAN745
Sending on   LPF/eth1/00:0a:5e:54:ce:c2/VLAN745
Listening on LPF/eth0/00:11:09:c7:83:1b/VLAN137
Sending on   LPF/eth0/00:11:09:c7:83:1b/VLAN137
Sending on   Socket/fallback/fallback-net
failover peer ruchen: I move from normal to startup
Failover CONNECT from stock: unknown failover relationship name
*** glibc detected *** dhcpd3: free(): invalid pointer: 0x09e4a9d4 ***
======= Backtrace: =========
/lib/i686/cmov/libc.so.6[0xb7e74624]
/lib/i686/cmov/libc.so.6(cfree+0x96)[0xb7e76826]
dhcpd3[0x8060f5d]
dhcpd3[0x8061fdb]
dhcpd3[0x80684ca]
dhcpd3[0x80afaf7]
dhcpd3[0x80a9194]
dhcpd3[0x80adad0]
dhcpd3[0x8081de8]
dhcpd3[0x804b906]
/lib/i686/cmov/libc.so.6(__libc_start_main+0xe5)[0xb7e1c455]
dhcpd3[0x8049ed1]
======= Memory map: ========
08048000-080c9000 r-xp 00000000 09:01 524425     /usr/sbin/dhcpd3
080c9000-080cc000 rw-p 00080000 09:01 524425     /usr/sbin/dhcpd3
080cc000-080d6000 rw-p 080cc000 00:00 0 
09e44000-09f59000 rw-p 09e44000 00:00 0          [heap]
b7b00000-b7b21000 rw-p b7b00000 00:00 0 
b7b21000-b7c00000 ---p b7b21000 00:00 0 
b7cbf000-b7ccb000 r-xp 00000000 09:01 655503     /lib/libgcc_s.so.1
b7ccb000-b7ccc000 rw-p 0000b000 09:01 655503     /lib/libgcc_s.so.1
b7cd3000-b7df9000 rw-p b7cd3000 00:00 0 
b7df9000-b7e03000 r-xp 00000000 09:01 655428     /lib/i686/cmov/libnss_files-2.7.so
b7e03000-b7e05000 rw-p 00009000 09:01 655428     /lib/i686/cmov/libnss_files-2.7.so
b7e05000-b7e06000 rw-p b7e05000 00:00 0 
b7e06000-b7f5b000 r-xp 00000000 09:01 655391     /lib/i686/cmov/libc-2.7.so
b7f5b000-b7f5c000 r--p 00155000 09:01 655391     /lib/i686/cmov/libc-2.7.so
b7f5c000-b7f5e000 rw-p 00156000 09:01 655391     /lib/i686/cmov/libc-2.7.so
b7f5e000-b7f62000 rw-p b7f5e000 00:00 0 
b7f67000-b7f68000 rw-p b7f67000 00:00 0 
b7f69000-b7f6a000 rw-p b7f69000 00:00 0 
b7f6a000-b7f6b000 r-xp b7f6a000 00:00 0          [vdso]
b7f6b000-b7f85000 r-xp 00000000 09:01 655363     /lib/ld-2.7.so
b7f85000-b7f87000 rw-p 0001a000 09:01 655363     /lib/ld-2.7.so
bfb71000-bfb86000 rw-p bffeb000 00:00 0          [stack]
Aborted
root@stock:/var/lib/dhcp3 #

Here's the gdb backtrace:

Program received signal SIGABRT, Aborted.
0xb7fd6424 in __kernel_vsyscall ()
(gdb) bt
#0  0xb7fd6424 in __kernel_vsyscall ()
#1  0xb7e9d640 in raise () from /lib/i686/cmov/libc.so.6
#2  0xb7e9f018 in abort () from /lib/i686/cmov/libc.so.6
#3  0xb7eda34d in __libc_message () from /lib/i686/cmov/libc.so.6
#4  0xb7ee0624 in malloc_printerr () from /lib/i686/cmov/libc.so.6
#5  0xb7ee2826 in free () from /lib/i686/cmov/libc.so.6
#6  0x08060f5d in ?? ()
#7  0x08f21554 in ?? ()
#8  0x080bcfe4 in ?? ()
#9  0x0000100f in ?? ()
#10 0x0806159c in ?? ()
#11 0x00000008 in ?? ()
#12 0x080bcfe4 in ?? ()
#13 0x00000fd7 in ?? ()
#14 0x01ee2826 in ?? ()
#15 0x00000000 in ?? ()
(gdb) 

The master server stock (on which this happens) already runs the Lenny
2.6.26 kernel (see also below), while ruchen, the slave server, already
has Lenny userland but has not yet been rebooted since the dist-upgrade
and still runs Etch's 2.6.18 kernel, since I can't risk a downtime of
our remaining working DHCP server.

Since our configuration has a lot of include files and nearly a thousand
configured static IPs (biggest network is a /21), I do not include it
here, but will provide a tar ball with the whole configuration and lease
files of both servers on request by e-mail if necessary.

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages dhcp3-server depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  debianutils                   2.30       Miscellaneous utilities specific t
ii  dhcp3-common                  3.1.1-5    common files used by all the dhcp3
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  lsb-base                      3.2-20     Linux Standard Base 3.2 init scrip

dhcp3-server recommends no packages.

Versions of packages dhcp3-server suggests:
pn  dhcp3-server-ldap             <none>     (no description available)

-- debconf information:
* dhcp3-server/new_auth_behavior:
* dhcp3-server/interfaces:
* dhcp3-server/new_next-server_behaviour:
* dhcp3-server/config_warn:




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#513506; Package dhcp3-server. (Fri, 30 Jan 2009 21:24:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <beckert@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Fri, 30 Jan 2009 21:24:18 GMT) Full text and rfc822 format available.

Message #10 received at 513506@bugs.debian.org (full text, mbox):

From: Axel Beckert <beckert@phys.ethz.ch>
To: 513506@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#513506: dhcp3-server: failover peering fails, crashes with SIGABRT afterwards
Date: Fri, 30 Jan 2009 22:23:45 +0100
severity 513506 minor
retitle 513506 dhcp3-server: Mention new failover peer naming rules in NEWS.Debian / Crash if config doesn't abide to them
thanks

In the meanwhile I found the problem and made the config conforming to
new naming rules for failover peers of 3.1.x. Since then also the
crashes are gone.

https://lists.isc.org/pipermail/dhcp-users/2007-September/004538.html

describes what went wrong.

With 3.0.x peer names only had to be consistent per host.

So on stock we had "failover peer ruchen" defined and on ruchen we had
"failover peer stock" defined for the same failover
connection. Relevant for the right connections were the address parts.

3.1.x allows multiple failover peer connections per IP address, so the
name became relevant. I named the failover peer connection the same on
both sides and it worked again.

So what remains are two minor issues (lowered severity accordingly)
with this package:

1) Please mention this quite heavy tripwire in NEWS.Debian for Lenny,
   because this can hurt others who dist-upgrade from Etch, too.

2) The crash only happens on unexpected input in the dhcpd.conf, so
   it's at most a minor programming error (which is still present in
   3.1.2 btw.)

How to reproduce the crash:

Host A:

failover peer "b"  {
  primary;
  address a;
  peer address b;
  split 128;  # only on primary
}

Host B:

failover peer "a"  {
  secondary;
  address b;
  peer address a;
}

Correct configuration not triggering the crash:

Host A:

failover peer "ab"  {
  primary;
  address a;
  peer address b;
  split 128;  # only on primary
}

Host B:

failover peer "ab"  {
  secondary;
  address b;
  peer address a;
}

		Kind regards, Axel Beckert
-- 
Axel Beckert <beckert@phys.ethz.ch>       support: +41 44 633 26 68
IT Services Group, HPT D 17                 voice: +41 44 633 41 89
Departement of Physics, ETH Zurich
CH-8093 Zurich, Switzerland		   http://nic.phys.ethz.ch/




Severity set to `minor' from `important' Request was from Axel Beckert <beckert@phys.ethz.ch> to control@bugs.debian.org. (Fri, 30 Jan 2009 21:24:19 GMT) Full text and rfc822 format available.

Changed Bug title to `dhcp3-server: Mention new failover peer naming rules in NEWS.Debian / Crash if config doesn't abide to them' from `dhcp3-server: failover peering fails, crashes with SIGABRT afterwards'. Request was from Axel Beckert <beckert@phys.ethz.ch> to control@bugs.debian.org. (Fri, 30 Jan 2009 21:24:20 GMT) Full text and rfc822 format available.

Reply sent to Andrew Pollock <apollock@debian.org>:
You have taken responsibility. (Mon, 02 Feb 2009 06:27:03 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <beckert@phys.ethz.ch>:
Bug acknowledged by developer. (Mon, 02 Feb 2009 06:27:03 GMT) Full text and rfc822 format available.

Message #19 received at 513506-close@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: 513506-close@bugs.debian.org
Subject: Bug#513506: fixed in dhcp3 3.1.1-6
Date: Mon, 02 Feb 2009 06:02:03 +0000
Source: dhcp3
Source-Version: 3.1.1-6

We believe that the bug you reported is fixed in the latest version of
dhcp3, which is due to be installed in the Debian FTP archive:

dhcp-client_3.1.1-6_all.deb
  to pool/main/d/dhcp3/dhcp-client_3.1.1-6_all.deb
dhcp3-client-udeb_3.1.1-6_i386.udeb
  to pool/main/d/dhcp3/dhcp3-client-udeb_3.1.1-6_i386.udeb
dhcp3-client_3.1.1-6_i386.deb
  to pool/main/d/dhcp3/dhcp3-client_3.1.1-6_i386.deb
dhcp3-common_3.1.1-6_i386.deb
  to pool/main/d/dhcp3/dhcp3-common_3.1.1-6_i386.deb
dhcp3-dev_3.1.1-6_i386.deb
  to pool/main/d/dhcp3/dhcp3-dev_3.1.1-6_i386.deb
dhcp3-relay_3.1.1-6_i386.deb
  to pool/main/d/dhcp3/dhcp3-relay_3.1.1-6_i386.deb
dhcp3-server-ldap_3.1.1-6_i386.deb
  to pool/main/d/dhcp3/dhcp3-server-ldap_3.1.1-6_i386.deb
dhcp3-server_3.1.1-6_i386.deb
  to pool/main/d/dhcp3/dhcp3-server_3.1.1-6_i386.deb
dhcp3_3.1.1-6.diff.gz
  to pool/main/d/dhcp3/dhcp3_3.1.1-6.diff.gz
dhcp3_3.1.1-6.dsc
  to pool/main/d/dhcp3/dhcp3_3.1.1-6.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 513506@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Pollock <apollock@debian.org> (supplier of updated dhcp3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Feb 2009 18:51:06 -0800
Source: dhcp3
Binary: dhcp3-server dhcp3-server-ldap dhcp3-common dhcp3-dev dhcp-client dhcp3-client dhcp3-client-udeb dhcp3-relay
Architecture: source i386 all
Version: 3.1.1-6
Distribution: unstable
Urgency: low
Maintainer: Andrew Pollock <apollock@debian.org>
Changed-By: Andrew Pollock <apollock@debian.org>
Description: 
 dhcp-client - DHCP client transitional package
 dhcp3-client - DHCP client
 dhcp3-client-udeb - DHCP Client for debian-installer (udeb)
 dhcp3-common - common files used by all the dhcp3* packages
 dhcp3-dev  - API for accessing and modifying the DHCP server and client state
 dhcp3-relay - DHCP relay daemon
 dhcp3-server - DHCP server for automatic IP address assignment
 dhcp3-server-ldap - DHCP server able to use LDAP as backend
Closes: 513506
Changes: 
 dhcp3 (3.1.1-6) unstable; urgency=low
 .
   * debian/dhcp3-server.init: use -q in test_config()
   * debian/dhcp3-server.NEWS: added a mention of the requirement for
     consistent naming of failover peers (closes: #513506)
   * debian/dhcp3-server.NEWS: merged NEWS.Debian, removed
     debian/dhcp3-server.docs
Checksums-Sha1: 
 e737ef37d5fe142f3ebfabda7d890917681cb8dc 1160 dhcp3_3.1.1-6.dsc
 6a17944549a4d5b652507797ab301aa14f8d1f09 130051 dhcp3_3.1.1-6.diff.gz
 fc06c5631fed5370e7082ec66ccdeaab5e30e998 332378 dhcp3-server_3.1.1-6_i386.deb
 c80d5b183efd0d7a2bab48734460e11312cef654 286414 dhcp3-server-ldap_3.1.1-6_i386.deb
 0d3d17efc4d15de7181663e156f3ebca84ee586c 289868 dhcp3-common_3.1.1-6_i386.deb
 94c2cb8bfa5b6504379c87f13765f0ed7fc31a4e 105588 dhcp3-dev_3.1.1-6_i386.deb
 e32ec69690b7d7658b9fc7f380cc826694b6d200 22918 dhcp-client_3.1.1-6_all.deb
 f9d20b23540a18ad45592174e344189881e86325 222820 dhcp3-client_3.1.1-6_i386.deb
 c378b5cce4c40d001ec56d2ddbf915501aa2db7b 167000 dhcp3-client-udeb_3.1.1-6_i386.udeb
 0f9c616c89553390bc21c9efadd65af7b91ceb72 102000 dhcp3-relay_3.1.1-6_i386.deb
Checksums-Sha256: 
 a12e6841b2da098fb2fbe50e800f0bedc66ff2f0c41ad0729ab37f816021019d 1160 dhcp3_3.1.1-6.dsc
 dd467909cdb1bb589dd796014e9e473f4dce4a54e2078c27f4ecded545f8f4c0 130051 dhcp3_3.1.1-6.diff.gz
 2c90886da57ba91b4ddeb394411904a34db5013657156bcf620450f3ef52cfb4 332378 dhcp3-server_3.1.1-6_i386.deb
 1576c5c03c91a5ac7f79a4f3c61619cae0b55a622e7a23c7a707fcbcb4ed7f11 286414 dhcp3-server-ldap_3.1.1-6_i386.deb
 92292f8d0a8e4aec5b097e5c5b826046d4cd4b09a32ca0638dcb06be774487d5 289868 dhcp3-common_3.1.1-6_i386.deb
 46b091c75ed19d9ed9c9e2995f76d4761302c5c65fc11089f38304d8c7598bed 105588 dhcp3-dev_3.1.1-6_i386.deb
 4c3d7ed9e42604293b3a7b0671bd5d300b6a7ee0226b68b751e552bd4ae6027b 22918 dhcp-client_3.1.1-6_all.deb
 cf9b79f5897590a9a8fd6b6a0595df1744366819cfcc753d27bb507706a36719 222820 dhcp3-client_3.1.1-6_i386.deb
 35a8ebf138fce86357e5ed23a135c1f2177025395a709841c022ca562dbe1206 167000 dhcp3-client-udeb_3.1.1-6_i386.udeb
 d2b8295f479579ecb042bf5988851cbd4582f804539a4b8e51e7681ed039179c 102000 dhcp3-relay_3.1.1-6_i386.deb
Files: 
 63fc46c159c3e8f9ed6a55fe776b7167 1160 net important dhcp3_3.1.1-6.dsc
 5cb01aceb2c4d02fe9c9e9203347576a 130051 net important dhcp3_3.1.1-6.diff.gz
 3ab270d0dfa5f1ea574a6d4235e2191f 332378 net optional dhcp3-server_3.1.1-6_i386.deb
 ce40d0cb9a9c8a109490bc84ecfb60cc 286414 net optional dhcp3-server-ldap_3.1.1-6_i386.deb
 37d935592726fa411b10a53c0f5adaff 289868 net important dhcp3-common_3.1.1-6_i386.deb
 e33bcef85a5e2325b72cf47ee48dd6ef 105588 devel optional dhcp3-dev_3.1.1-6_i386.deb
 0af6870a0fa584f06151a1a0eef9d36d 22918 net important dhcp-client_3.1.1-6_all.deb
 8f1cf7c2ae46ec58ee8120e7569dd656 222820 net important dhcp3-client_3.1.1-6_i386.deb
 ccec927f2a51ba14a05af82d2b55c54b 167000 debian-installer extra dhcp3-client-udeb_3.1.1-6_i386.udeb
 f4568f4c6464a3ac8e9cb5892057c092 102000 net optional dhcp3-relay_3.1.1-6_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFJhmLWIblXXKfZFgIRAjJVAJ9xuLGynQ4LQQaJe9/17DbEzbs3xACeKz1A
pUNDI7JIGd1HGwko7UKODBM=
=/Nyf
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#513506; Package dhcp3-server. (Mon, 02 Feb 2009 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. (Mon, 02 Feb 2009 06:42:03 GMT) Full text and rfc822 format available.

Message #24 received at 513506@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Axel Beckert <beckert@phys.ethz.ch>, 513506@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#513506: dhcp3-server: failover peering fails, crashes with SIGABRT afterwards
Date: Mon, 2 Feb 2009 16:40:18 +1000
[Message part 1 (text/plain, inline)]
reopen 513506
reassign 513506 release-notes
thanks

On Fri, Jan 30, 2009 at 10:23:45PM +0100, Axel Beckert wrote:
> severity 513506 minor
> retitle 513506 dhcp3-server: Mention new failover peer naming rules in NEWS.Debian / Crash if config doesn't abide to them
> thanks
> 
> In the meanwhile I found the problem and made the config conforming to
> new naming rules for failover peers of 3.1.x. Since then also the
> crashes are gone.
> 
> https://lists.isc.org/pipermail/dhcp-users/2007-September/004538.html
> 
> describes what went wrong.
> 
> With 3.0.x peer names only had to be consistent per host.
> 
> So on stock we had "failover peer ruchen" defined and on ruchen we had
> "failover peer stock" defined for the same failover
> connection. Relevant for the right connections were the address parts.
> 
> 3.1.x allows multiple failover peer connections per IP address, so the
> name became relevant. I named the failover peer connection the same on
> both sides and it worked again.
> 
> So what remains are two minor issues (lowered severity accordingly)
> with this package:
> 
> 1) Please mention this quite heavy tripwire in NEWS.Debian for Lenny,
>    because this can hurt others who dist-upgrade from Etch, too.

I've uploaded a new revision that mentions this, but I doubt it'll make
Lenny due to the tight binding with d-i. Cc'ing the release team for
confirmation.

I'm reopening this and reassigning it to release notes so at the very least
it can get mentioned there.
 
> 2) The crash only happens on unexpected input in the dhcpd.conf, so
>    it's at most a minor programming error (which is still present in
>    3.1.2 btw.)
> 
> How to reproduce the crash:
> 
> Host A:
> 
> failover peer "b"  {
>   primary;
>   address a;
>   peer address b;
>   split 128;  # only on primary
> }
> 
> Host B:
> 
> failover peer "a"  {
>   secondary;
>   address b;
>   peer address a;
> }
> 
> Correct configuration not triggering the crash:
> 
> Host A:
> 
> failover peer "ab"  {
>   primary;
>   address a;
>   peer address b;
>   split 128;  # only on primary
> }
> 
> Host B:
> 
> failover peer "ab"  {
>   secondary;
>   address b;
>   peer address a;
> }
> 
> 		Kind regards, Axel Beckert
> -- 
> Axel Beckert <beckert@phys.ethz.ch>       support: +41 44 633 26 68
> IT Services Group, HPT D 17                 voice: +41 44 633 41 89
> Departement of Physics, ETH Zurich
> CH-8093 Zurich, Switzerland		   http://nic.phys.ethz.ch/
> 
> 
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. (Mon, 02 Feb 2009 06:42:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `dhcp3-server' to `release-notes'. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. (Mon, 02 Feb 2009 06:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#513506; Package release-notes. (Thu, 05 Feb 2009 09:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Thu, 05 Feb 2009 09:06:02 GMT) Full text and rfc822 format available.

Message #33 received at 513506@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: control@bugs.debian.org, 513506@bugs.debian.org
Subject: Help!
Date: Thu, 5 Feb 2009 10:02:52 +0100
tags 513506 +help
tags 513506 +moreinfo
thanks

Could you/someone please propose a text for the release notes? Thanks!




Tags added: help Request was from "W. Martin Borgert" <debacle@debian.org> to control@bugs.debian.org. (Thu, 05 Feb 2009 09:06:03 GMT) Full text and rfc822 format available.

Tags added: moreinfo Request was from "W. Martin Borgert" <debacle@debian.org> to control@bugs.debian.org. (Thu, 05 Feb 2009 09:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#513506; Package release-notes. (Thu, 05 Feb 2009 17:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Thu, 05 Feb 2009 17:54:02 GMT) Full text and rfc822 format available.

Message #42 received at 513506@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 513506@bugs.debian.org
Cc: Andrew Pollock <apollock@debian.org>
Subject: Re: dhcp3-server: Mention new failover peer naming rules in NEWS.Debian / Crash if config doesn't abide to them
Date: Thu, 05 Feb 2009 18:53:53 +0100
Hi

I still intend to get the documentation fix in Lenny, but it's indeed
not bad to document it also in the Release Notes.

===

 When running a failover pair of DHCP servers, the peer names need to be
 consistent, otherwise DHCP will crash.

 Please see http://bugs.debian.org/513506 and
 https://lists.isc.org/pipermail/dhcp-users/2007-September/004538.html for
 more information.

===

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#513506; Package release-notes. (Sun, 08 Feb 2009 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Sun, 08 Feb 2009 19:36:03 GMT) Full text and rfc822 format available.

Message #47 received at 513506@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 513506@bugs.debian.org, control@bugs.debian.org
Subject: In SVN
Date: Sun, 8 Feb 2009 20:34:48 +0100
tags 513506 +pending
thanks

OK, it's in SVN.




Tags added: pending Request was from "W. Martin Borgert" <debacle@debian.org> to control@bugs.debian.org. (Sun, 08 Feb 2009 19:36:05 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <simon.paillard@resel.enst-bretagne.fr>:
You have taken responsibility. (Wed, 25 Feb 2009 15:23:57 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <beckert@phys.ethz.ch>:
Bug acknowledged by developer. (Wed, 25 Feb 2009 15:23:57 GMT) Full text and rfc822 format available.

Message #54 received at 513506-done@bugs.debian.org (full text, mbox):

From: Simon Paillard <simon.paillard@resel.enst-bretagne.fr>
To: 514139-done@bugs.debian.org, 406131-done@bugs.debian.org, 513042-done@bugs.debian.org, 499093-done@bugs.debian.org, 418112-done@bugs.debian.org, 418911-done@bugs.debian.org, 504225-done@bugs.debian.org, 498905-done@bugs.debian.org, 332782-done@bugs.debian.org, 498624-done@bugs.debian.org, 509761-done@bugs.debian.org, 497500-done@bugs.debian.org, 500441-done@bugs.debian.org, 493931-done@bugs.debian.org, 497445-done@bugs.debian.org, 512690-done@bugs.debian.org, 420389-done@bugs.debian.org, 513506-done@bugs.debian.org, 514493-done@bugs.debian.org, 513627-done@bugs.debian.org, 513748-done@bugs.debian.org, 513040-done@bugs.debian.org, 514429-done@bugs.debian.org, 497388-done@bugs.debian.org, 513947-done@bugs.debian.org, 506007-done@bugs.debian.org, 475958-done@bugs.debian.org, 510501-done@bugs.debian.org, 503990-done@bugs.debian.org, 514009-done@bugs.debian.org, 494366-done@bugs.debian.org, 512666-done@bugs.debian.org, 505500-done@bugs.debian.org, 503441-done@bugs.debian.org, 457793-done@bugs.debian.org, 510324-done@bugs.debian.org, 513139-done@bugs.debian.org, 513041-done@bugs.debian.org, 489132-done@bugs.debian.org, 507118-done@bugs.debian.org, 513945-done@bugs.debian.org, 513529-done@bugs.debian.org, 506636-done@bugs.debian.org, 497252-done@bugs.debian.org, 513861-done@bugs.debian.org, 510445-done@bugs.debian.org, 513100-done@bugs.debian.org, 491000-done@bugs.debian.org, 497249-done@bugs.debian.org, 505725-done@bugs.debian.org, 447774-done@bugs.debian.org, 513256-done@bugs.debian.org, 505713-done@bugs.debian.org, 513763-done@bugs.debian.org, 503963-done@bugs.debian.org, 491180-done@bugs.debian.org, 513911-done@bugs.debian.org, 437266-done@bugs.debian.org, 505884-done@bugs.debian.org
Subject: Closing "pending" Lenny release-notes bugs
Date: Wed, 25 Feb 2009 16:20:07 +0100
On Wed, Feb 25, 2009 at 01:31:39PM +0100, W. Martin Borgert wrote:
> Quoting "Simon Paillard" <simon.paillard@resel.enst-bretagne.fr>:
>> Can we :
>> - asssume all pending bugs have been commited to SVN ?
>
> Yes.

Closing Lenny release-notes pending bugs, since the relevant patches have been
commited to SVN trunk and are published on line at
http://debian.org/releases/lenny/releasenotes

Sorry for the mass mail.

-- 
Simon Paillard




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Mar 2009 07:27:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:24:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.